Package com.google.javascript.jscomp

# Enum CustomPassExecutionTime

java.lang.Object
java.lang.Enum<CustomPassExecutionTime>
com.google.javascript.jscomp.CustomPassExecutionTime

All Implemented Interfaces:
  `Serializable`, `Comparable<CustomPassExecutionTime>`, `java.lang.constant.Constable`

public enum CustomPassExecutionTime extends Enum<CustomPassExecutionTime>
Custom pass type. Controls the compilation stage at which each custom pass executes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AFTER_OPTIMIZATION_LOOP`
`BEFORE_CHECKS`
`BEFORE_OPTIMIZATION_LOOP`
`BEFORE_OPTIMIZATIONS`

## Method Summary

Modifier and Type
Method
Description
`static CustomPassExecutionTime`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CustomPassExecutionTime[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEFORE_CHECKS

public static final CustomPassExecutionTime BEFORE_CHECKS

### BEFORE_OPTIMIZATIONS

public static final CustomPassExecutionTime BEFORE_OPTIMIZATIONS

### BEFORE_OPTIMIZATION_LOOP

public static final CustomPassExecutionTime BEFORE_OPTIMIZATION_LOOP

### AFTER_OPTIMIZATION_LOOP

public static final CustomPassExecutionTime AFTER_OPTIMIZATION_LOOP

## Method Details

### values

public static CustomPassExecutionTime[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CustomPassExecutionTime valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null